/*
*   GNC MT Menu Custom CSS
*/
@media (max-width:767px) { 
    .gnc-menu-header .gnc-top-search {
        background: #f5f5f5;
        padding: 10px 20px;
 }
}

@media (max-width:1024px) {

    .gnc-top-logo .hfe-site-logo a {
        line-height: 20px;
    }
    body.gnc-mt-enable{
        overflow: hidden;
    }
    .gnc-mt-wrapper{
        /* height: calc(100vh - 60px); */
        /* overflow-x: hidden; */
        position: fixed;
        left: 0;
        bottom: 0;
        top: 176px;
        z-index: -9;
        width: 100%;
        opacity: 0;
        background-color: #fff;
        -webkit-transition: opacity 0.2s;
        -moz-transition: opacity 0.2s;
        transition: opacity 0.2s;
    }
   /* .gncbody-mtoverlay{
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: #fff;
        z-index: 998;
        display: none;
        opacity: 0;
        transition: opacity 0.2s; 
    }
    .gncbody-mtoverlay.enabled{
         display: block;
        opacity: 1;
        top: 176px; 
    } */
    .gnc-mt-wrapper.active{
        z-index: 999;
        opacity: 1;
    }
    .gnc-mt-wrapper .nav-mtmenu li.back  a{
        font-size: 28px !important;
        margin-left: 0px;
        padding: 5px 0px 5px 37px !important;
        text-transform: uppercase !important;
        font-family: "proxima-nova-extra-condensed-bold", Sans-serif !important;
    }
    .gnc-mt-wrapper .nav-mtmenu ul.sub-menu li.back a {
        line-height: 32px;
    }
    div.closemt-btn {
        position: absolute;
        right: 30px;
        top: 12px;
        z-index: 99999;
        display: none;
    }
    .gnc-mt-wrapper .nav-mtmenu a{
        color: #000;
        padding: 13px 30px 13px 30px;
        letter-spacing: 1px;
        text-transform: uppercase;
        text-decoration: none;
        font-size: 18px;
        line-height: 1.5;
        font-weight: 700;
        display: inline-block;
        font-family: "ProximaNova", Sans-serif;
    }
    ul#gnc-primary-mtmenu {
        overflow-x: hidden;
        height: calc(100vh - 180px);
        position: fixed;
        width: 100%;
    }
    .gnc-mt-wrapper .nav-mtmenu li.mtmenu-item-back span.fal.fa-chevron-right.left {
        font-size: 25px;
        font-weight: 400;
    }
    .gnc-mt-wrapper .nav-mtmenu .sub-menu{
        background-color: #fff;
        height: calc(100vh - 180px);
        position: fixed;
        right: -100%;
        top: 176px;
        transition: all 0.5s ease 0s;
        width: 100%;
        z-index: 999;
        margin: 40px 0px 0px 0px;
        padding: 0px;
        overflow-x: hidden;
    }
    .gnc-mt-wrapper .nav-mtmenu li.active>.sub-menu{
        right: 0;
    }
    .gnc-mt-wrapper .nav-mtmenu li.active>.sub-menu li a {
        font-size: 16px;
        padding: 15px 30px 15px 30px;
        text-transform: inherit;
        font-family: "ProximaNova", Sans-serif;
    }
    .gnc-mt-wrapper .nav-mtmenu li{
        list-style-type: none;
        line-height: 20px;
    }
    .gnc-mt-wrapper .nav-mtmenu li.mtmenu-item-back span{
        cursor: pointer;
        color: #1a1a1a;
        font-size: 25px;
        text-align: center;
        font-weight: 400;
    }
    .gnc-mt-wrapper .nav-mtmenu li.mtmenu-item-back span.fal.fa-chevron-left.left:after {
        content: "";
        position: absolute;
        height: 32px;
        width: 91%;
    }
    .gnc-mt-wrapper .nav-mtmenu li.mtmenu-item-back span.fal.fa-chevron-right.forward {
        font-size: 18px;
        font-weight: 300;
    }
    .gnc-mt-wrapper span.forward{
        float: right;
        margin: 20px 30px 0 0;
    }
    .gnc-mt-wrapper span.left{
        float: left;
        margin: 20px 0 0 20px;
    }
    .gnc-mt-wrapper li.back {
        border-bottom: 1px solid #e7e6e6;
        padding-bottom: 5px;
        margin-bottom: 10px;
        display: flex;
    }
    div.closemt-btn i.fal.fa-times {
        display: block;
        width: 15px;
        font-size: 24px;
    }
    .gnc-mt-wrapper li.back span.left {
        margin:8px 0px 0px 30px;
    }
    div#gnctoggle-mtmenu.fa-bars {
        cursor: pointer;
        position: fixed;
        left: 30px;
        -webkit-transition: all 0.5s ease-in-out 0s;
        -moz-transition: all 0.5s ease-in-out 0s;
        -o-transition: all 0.5s ease-in-out 0s;
        transition: all 0.5s ease-in-out 0s;
        z-index: 9999;
        font-size: 26px;
        top: 55px;
        background: transparent;
        padding: 0;
        line-height: 100%;
        color: #000;
        height: auto;
        margin: 0;
    }
    div#gnctoggle-mtmenu.fa-bars.open {
        color: #e60d2e;
    }
    .main-mtnavigation.sticky-header{
        position: fixed;
        left: 0;
        right: 0;
        width: 100%;
        background-color: #333;
        animation:slide-down 0.7s;
        z-index: 9999;
    }
     .main-mtnavigation {
        position: relative;
    } 
    .main-mtnavigation ul{
        display: none;
    }
    .gnc-mt-wrapper .nav-mtmenu li.mtmenu-item-back span.fal.fa-chevron-right.left:after {
            content: "";
            position: absolute;
            height: 32px;
            width: 91%;
        }
    .gnc-mt-wrapper ul.menu.nav-mtmenu {
            margin: 40px 0px 0px 0px;
            padding: 0px;
            display: block;
    }
    .gnc-mt-wrapper .nav-mtmenu ul.sub-menu li .elementor-container .elementor-element-populated {
        padding: 0px 25px 0px 25px;
    }
    .gnc-mt-wrapper .nav-mtmenu ul.sub-menu li .elementor-container h4.elementor-heading-title {
        line-height: 20px;
        font-size: 18px;
        padding: 0px 0px 10px 0px;
        color: #636466;
    }
    .gnc-mt-wrapper .nav-mtmenu li.active>.sub-menu li h6 {
        line-height: 20px;
        font-size: 14px;
        font-weight: 400;
        font-family: "ProximaNova", Sans-serif;
        padding-top: 10px;
        margin-bottom: 20px;
    }
    .gnc-mt-sticky .gnc-mt-wrapper {
        top: 56px;
    }
    .gnc-mt-sticky .gnc-mt-wrapper .nav-mtmenu .sub-menu {
        top: 100px;
    }
    .gnc-menu-header .gnc-top-search {
        display: block;
        width: 100%;
        line-height: 20px;
    }
    .gnc-mt-sticky div#gnctoggle-mtmenu-container div#gnctoggle-mtmenu.fa-bars {
        top: 15px;
    }
    .gnc-top-logo {
        padding-top: 15px;
        padding-bottom: 15px;
    }
    .gnc-menu-header {
        padding: 0px !important;
    }
    .gnc-mt-wrapper .nav-mtmenu li.active>.sub-menu li a.menu-image-title-before {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 4px 30px 4px 30px;
    }
    .gnc-mt-wrapper .nav-mtmenu li.active>.sub-menu li a span.menu-image-title {
        padding-right: 0px;
        font-size: 16px;
    }
    .gnc-mt-wrapper .nav-mtmenu li.active>.sub-menu li a img.menu-image {
        width: 125px;
        padding-left: 0px;
    }
    }
    
    @media (min-width: 768px) and (max-width: 1024px){ 

        .gnc-mt-wrapper .nav-mtmenu ul.sub-menu li .elementor-container .elementor-widget-image {
      max-width: 194px;
    }

    .gnc-menu-header .gnc-top-search {
        background: #f5f5f5;
        padding: 10px 45px;
    }
    }
    
    @media (min-width:1025px) {
        div#gnctoggle-mtmenu {
            display: none;
        }
        .gnc-mt-wrapper {
            display: none;
        }
    }